summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/mythvantage/airootfs/root/customize_airootfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/archiso-19/mythvantage/airootfs/root/customize_airootfs.sh')
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/airootfs/root/customize_airootfs.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/build_tools/archiso-19/mythvantage/airootfs/root/customize_airootfs.sh b/build_tools/archiso-19/mythvantage/airootfs/root/customize_airootfs.sh
new file mode 100755
index 0000000..0845424
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/airootfs/root/customize_airootfs.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+set -e -u
+
+sed -i 's/#\(en_US\.UTF-8\)/\1/' /etc/locale.gen
+locale-gen
+
+ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+
+#usermod -s /usr/bin/zsh root
+#cp -aT /etc/skel/ /root/
+chmod 700 /root
+
+
+chmod 750 /etc/sudoers.d
+chmod 440 /etc/sudoers.d/g_wheel
+
+systemctl set-default multi-user.target
+
+#LinHES
+#add symlink
+
+if [ -e /etc/udev/rules.d/80-net-name-slot.rules ]
+then
+ rm -f /etc/udev/rules.d/80-net-name-slot.rules
+fi
+
+ln -s /dev/null /etc/udev/rules.d/80-net-name-slot.rules
+
+#remove tmp mount as tmpfs
+systemctl mask tmp.mount
+systemctl mask dhcpcd.service
+systemctl mask dhcpcd\@.service
+
+